/// @file taxiMap.js
/// @author Mario Chirinos Colunga
/// @date 2016-04-15
/// 
Number.prototype.toRadians = function()
{
	return this * Math.PI / 180;
};
function distance(lng1,lat1,lng2,lat2)
{
	
	var R = 6371e3; // metres
	var f1 = lat1.toRadians();
	var f2 = lat2.toRadians();
	var df = (lat2-lat1).toRadians();
	var dl = (lng2-lng1).toRadians();

	var a = Math.sin(df/2) * Math.sin(df/2) +
		Math.cos(f1) * Math.cos(f2) *
		Math.sin(dl/2) * Math.sin(dl/2);
	var c = 2 * Math.atan2(Math.sqrt(a), Math.sqrt(1-a));

	var d = R * c;
	return d;
};
//------------------------------------------------------------------------------
/**
 * Definitions for the languages.
 * @param  divID div name to insert the map
 * @param  lng Longitude
 * @param  lat Latitude
 * @param  z Zoom
 * @return OpenStreetMapsClass object
 */
function sidtMap(divID, lng, lat, z)
{
	OpenStreetMapsClass.call(this, divID, lng, lat, z);
	var self = this;


	setInterval(function(){self.loadMarkers();}, 5000);
	this.map.on("moveend",function(e){self.onMapMove(e)});
	this.map.on("pointerdrag",function(e){self.onDrag(e)});
};
sidtMap.prototype = Object.create( OpenStreetMapsClass.prototype );
//------------------------------------------------------------------------------
sidtMap.prototype.onMapMove = function(e)
{
	var lnglat = ol.proj.transform(this.map.getView().getCenter(), 'EPSG:3857', 'EPSG:4326');
	console.log("onMapMove");
};
//------------------------------------------------------------------------------
sidtMap.prototype.onDrag = function(e)
{
	console.log("onDrag");
};
//------------------------------------------------------------------------------
sidtMap.prototype.onMapClick = function(e)
{
	console.log("onMapClick");
//	var feature = this.map.forEachFeatureAtPixel(e.pixel,function(feature) {return feature;});
//	if(feature && feature.onClick!==undefined)
//	{
//		feature.onClick(e);
//		this.fillLeftPanel(feature.json.id);
//	}
//	this.selectedFeature=-1;
};

//------------------------------------------------------------------------------



